com.google.gwt.aria.client

## Class RowRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.RowRoleImpl

All Implemented Interfaces:
  GroupRole, Role, RowRole, SectionRole, StructureRole, WidgetRole

    class RowRoleImpl
    extends RoleImpl
    implements RowRole

Implements `RowRole`.

### Constructor Summary

Constructors
Constructor and Description
`RowRoleImpl(java.lang.String roleName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAriaActivedescendantProperty(Element element)` Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
`java.lang.String` `getAriaExpandedState(Element element)` Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
`java.lang.String` `getAriaLevelProperty(Element element)` Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.
`java.lang.String` `getAriaSelectedState(Element element)` Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
`void` `removeAriaActivedescendantProperty(Element element)` Removes the aria-activedescendant attribute from the `element`.
`void` `removeAriaExpandedState(Element element)` Removes the aria-expanded attribute from the `element`.
`void` `removeAriaLevelProperty(Element element)` Removes the aria-level attribute from the `element`.
`void` `removeAriaSelectedState(Element element)` Removes the aria-selected attribute from the `element`.
`void` `setAriaActivedescendantProperty(Element element, Id value)` Sets the aria-activedescendant attribute for the `element` to the given `value`.
`void` `setAriaExpandedState(Element element, ExpandedValue value)` Sets the aria-expanded attribute for the `element` to the given `value`.
`void` `setAriaLevelProperty(Element element, int value)` Sets the aria-level attribute for the `element` to the given `value`.
`void` `setAriaSelectedState(Element element, SelectedValue value)` Sets the aria-selected attribute for the `element` to the given `value`.

### Methods inherited from class com.google.gwt.aria.client.RoleImpl

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.aria.client.Role

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

### Constructor Detail

#### RowRoleImpl

    RowRoleImpl(java.lang.String roleName)

### Method Detail

#### getAriaActivedescendantProperty

    public java.lang.String getAriaActivedescendantProperty(Element element)

Description copied from interface: `GroupRole`
Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaActivedescendantProperty` in interface `GroupRole`

#### getAriaExpandedState

    public java.lang.String getAriaExpandedState(Element element)

Description copied from interface: `SectionRole`
Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaExpandedState` in interface `SectionRole`

#### getAriaLevelProperty

    public java.lang.String getAriaLevelProperty(Element element)

Description copied from interface: `RowRole`
Returns the value of the aria-level attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaLevelProperty` in interface `RowRole`

#### getAriaSelectedState

    public java.lang.String getAriaSelectedState(Element element)

Description copied from interface: `RowRole`
Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaSelectedState` in interface `RowRole`

#### removeAriaActivedescendantProperty

    public void removeAriaActivedescendantProperty(Element element)

Description copied from interface: `GroupRole`
Removes the aria-activedescendant attribute from the `element`.

Specified by:
  `removeAriaActivedescendantProperty` in interface `GroupRole`

#### removeAriaExpandedState

    public void removeAriaExpandedState(Element element)

Description copied from interface: `SectionRole`
Removes the aria-expanded attribute from the `element`.

Specified by:
  `removeAriaExpandedState` in interface `SectionRole`

#### removeAriaLevelProperty

    public void removeAriaLevelProperty(Element element)

Description copied from interface: `RowRole`
Removes the aria-level attribute from the `element`.

Specified by:
  `removeAriaLevelProperty` in interface `RowRole`

#### removeAriaSelectedState

    public void removeAriaSelectedState(Element element)

Description copied from interface: `RowRole`
Removes the aria-selected attribute from the `element`.

Specified by:
  `removeAriaSelectedState` in interface `RowRole`

#### setAriaActivedescendantProperty

    public void setAriaActivedescendantProperty(Element element,
                                                Id value)

Description copied from interface: `GroupRole`
Sets the aria-activedescendant attribute for the `element` to the given `value`.

Specified by:
  `setAriaActivedescendantProperty` in interface `GroupRole`

#### setAriaExpandedState

    public void setAriaExpandedState(Element element,
                                     ExpandedValue value)

Description copied from interface: `SectionRole`
Sets the aria-expanded attribute for the `element` to the given `value`.

Specified by:
  `setAriaExpandedState` in interface `SectionRole`

#### setAriaLevelProperty

    public void setAriaLevelProperty(Element element,
                                     int value)

Description copied from interface: `RowRole`
Sets the aria-level attribute for the `element` to the given `value`.

Specified by:
  `setAriaLevelProperty` in interface `RowRole`

#### setAriaSelectedState

    public void setAriaSelectedState(Element element,
                                     SelectedValue value)

Description copied from interface: `RowRole`
Sets the aria-selected attribute for the `element` to the given `value`.

Specified by:
  `setAriaSelectedState` in interface `RowRole`